const _Http = getApp().globalData.http;

Page({
    data: {
        loading: false,
        tabActive: "Standard"
    },
    onLoad(options) {
        if (options.type) this.setData({
            tabActive: options.type
        })
        this.getList()

        //获取企业免邮额度
        _Http.basic({
            "id": 20220920084001,
            "content": {},
        }).then(res => {
            console.log("查询企业档案", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.msg,
                icon: "none"
            })
            this.setData({
                freefreightamount: res.data.freefreightamount
            })
        })
    },
    tabChange(e) {
        this.setData({
            tabActive: e.detail.name
        });
        this.getList();
    },
    getList() {
        let page = this.selectComponent("#" + this.data.tabActive);
        page.data.isGet || page.getList();
    }
})